Package org.flowable.engine.migration

# Class ActivityMigrationMapping.OneToOneMapping

java.lang.Object
org.flowable.engine.migration.ActivityMigrationMapping
org.flowable.engine.migration.ActivityMigrationMapping.OneToOneMapping

All Implemented Interfaces:
  `ActivityMigrationMappingOptions<ActivityMigrationMapping.OneToOneMapping>`, `ActivityMigrationMappingOptions.SingleToActivityOptions<ActivityMigrationMapping.OneToOneMapping>`

Enclosing class:
  `ActivityMigrationMapping`

public static class ActivityMigrationMapping.OneToOneMapping extends ActivityMigrationMapping implements ActivityMigrationMappingOptions.SingleToActivityOptions<ActivityMigrationMapping.OneToOneMapping>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.flowable.engine.migration.ActivityMigrationMapping

  `ActivityMigrationMapping.ManyToOneMapping, ActivityMigrationMapping.OneToManyMapping, ActivityMigrationMapping.OneToOneMapping`

  ## Nested classes/interfaces inherited from interface org.flowable.engine.migration.ActivityMigrationMappingOptions

  `ActivityMigrationMappingOptions.MultipleToActivityOptions<T extends ActivityMigrationMapping>, ActivityMigrationMappingOptions.SingleToActivityOptions<T extends ActivityMigrationMapping>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `fromActivityId`
  `String`
  `toActivityId`
  `protected Map<String,Object>`
  `withLocalVariables`
  `protected String`
  `withNewAssignee`
  `protected String`
  `withNewOwner`

  ### Fields inherited from class org.flowable.engine.migration.ActivityMigrationMapping

  `callActivityProcessDefinitionVersion, fromCallActivityId, toCallActivityId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OneToOneMapping(String fromActivityId, String toActivityId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Object>`
  `getActivityLocalVariables()`
  `String`
  `getFromActivityId()`
  `List<String>`
  `getFromActivityIds()`
  `String`
  `getToActivityId()`
  `List<String>`
  `getToActivityIds()`
  `String`
  `getWithNewAssignee()`
  `String`
  `getWithNewOwner()`
  `ActivityMigrationMapping.OneToOneMapping`
  `inParentProcessOfCallActivityId(String fromCallActivityId)`
  `ActivityMigrationMapping.OneToOneMapping`
  `inSubProcessOfCallActivityId(String toCallActivityId)`
  `ActivityMigrationMapping.OneToOneMapping`
  `inSubProcessOfCallActivityId(String toCallActivityId, int subProcessDefVersion)`
  `String`
  `toString()`
  `ActivityMigrationMapping.OneToOneMapping`
  `withLocalVariable(String variableName, Object variableValue)`
  `ActivityMigrationMapping.OneToOneMapping`
  `withLocalVariables(Map<String,Object> variables)`
  `ActivityMigrationMapping.OneToOneMapping`
  `withNewAssignee(String newAssigneeId)`
  `ActivityMigrationMapping.OneToOneMapping`
  `withNewOwner(String newOwner)`

  ### Methods inherited from class org.flowable.engine.migration.ActivityMigrationMapping

  `createMappingFor, createMappingFor, createMappingFor, getCallActivityProcessDefinitionVersion, getFromCallActivityId, getToCallActivityId, isToCallActivity, isToParentProcess`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.engine.migration.ActivityMigrationMappingOptions

  `getCallActivityProcessDefinitionVersion, getFromCallActivityId, getToCallActivityId, isToCallActivity, isToParentProcess`

- ## Field Details

  - ### fromActivityId

    public String fromActivityId

  - ### toActivityId

    public String toActivityId

  - ### withNewAssignee

    protected String withNewAssignee

  - ### withNewOwner

    protected String withNewOwner

  - ### withLocalVariables

    protected Map<String,Object> withLocalVariables

- ## Constructor Details

  - ### OneToOneMapping

    public OneToOneMapping(String fromActivityId, String toActivityId)

- ## Method Details

  - ### getFromActivityIds

    public List<String> getFromActivityIds()
    Specified by:
      `getFromActivityIds` in class `ActivityMigrationMapping`

  - ### getToActivityIds

    public List<String> getToActivityIds()
    Specified by:
      `getToActivityIds` in class `ActivityMigrationMapping`

  - ### getFromActivityId

    public String getFromActivityId()

  - ### getToActivityId

    public String getToActivityId()

  - ### inParentProcessOfCallActivityId

    public ActivityMigrationMapping.OneToOneMapping inParentProcessOfCallActivityId(String fromCallActivityId)
    Specified by:
      `inParentProcessOfCallActivityId` in interface `ActivityMigrationMappingOptions<ActivityMigrationMapping.OneToOneMapping>`

  - ### inSubProcessOfCallActivityId

    public ActivityMigrationMapping.OneToOneMapping inSubProcessOfCallActivityId(String toCallActivityId)
    Specified by:
      `inSubProcessOfCallActivityId` in interface `ActivityMigrationMappingOptions<ActivityMigrationMapping.OneToOneMapping>`

  - ### inSubProcessOfCallActivityId

    public ActivityMigrationMapping.OneToOneMapping inSubProcessOfCallActivityId(String toCallActivityId, int subProcessDefVersion)
    Specified by:
      `inSubProcessOfCallActivityId` in interface `ActivityMigrationMappingOptions<ActivityMigrationMapping.OneToOneMapping>`

  - ### withNewAssignee

    public ActivityMigrationMapping.OneToOneMapping withNewAssignee(String newAssigneeId)
    Specified by:
      `withNewAssignee` in interface `ActivityMigrationMappingOptions.SingleToActivityOptions<ActivityMigrationMapping.OneToOneMapping>`

  - ### getWithNewAssignee

    public String getWithNewAssignee()
    Specified by:
      `getWithNewAssignee` in interface `ActivityMigrationMappingOptions.SingleToActivityOptions<ActivityMigrationMapping.OneToOneMapping>`

  - ### withNewOwner

    public ActivityMigrationMapping.OneToOneMapping withNewOwner(String newOwner)
    Specified by:
      `withNewOwner` in interface `ActivityMigrationMappingOptions.SingleToActivityOptions<ActivityMigrationMapping.OneToOneMapping>`

  - ### getWithNewOwner

    public String getWithNewOwner()
    Specified by:
      `getWithNewOwner` in interface `ActivityMigrationMappingOptions.SingleToActivityOptions<ActivityMigrationMapping.OneToOneMapping>`

  - ### withLocalVariable

    public ActivityMigrationMapping.OneToOneMapping withLocalVariable(String variableName, Object variableValue)
    Specified by:
      `withLocalVariable` in interface `ActivityMigrationMappingOptions.SingleToActivityOptions<ActivityMigrationMapping.OneToOneMapping>`

  - ### withLocalVariables

    public ActivityMigrationMapping.OneToOneMapping withLocalVariables(Map<String,Object> variables)
    Specified by:
      `withLocalVariables` in interface `ActivityMigrationMappingOptions.SingleToActivityOptions<ActivityMigrationMapping.OneToOneMapping>`

  - ### getActivityLocalVariables

    public Map<String,Object> getActivityLocalVariables()
    Specified by:
      `getActivityLocalVariables` in interface `ActivityMigrationMappingOptions.SingleToActivityOptions<ActivityMigrationMapping.OneToOneMapping>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`